Logo

Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.

Войти
Страниц: [1]   Вниз
  Печать  
Автор Тема: Необходимо включить поддержку расширения zlib  (Прочитано 4905 раз)
ntym
Новичок
*
Офлайн Офлайн

Сообщений: 4


Просмотр профиля
« : 03.09.2014, 15:08:50 »

Обновил локальный сервер с ubuntu 12+zend server 5ce до ubuntu 14+lamp.
Магазин начал требовать включение поддержки Curl и Zlib. Проблема с Curl решилась путём его установки, а вот с Zlib не получается.
phpinfo() говорит о том, что zlib установлен: ZLib Version 1.2.8
Конфигурация zlib:

ZLib Support               enabled
Stream Wrapper            compress.zlib://
Stream Filter                zlib.inflate, zlib.deflate
Compiled Version           1.2.8
Linked Version                1.2.8

Directive                              Local Value   Master Value
zlib.output_compression                   Off              Off
zlib.output_compression_level        -1              -1
zlib.output_handler                 no value            no value

Кто сталкивался?
Записан
Admin
Administrator
Профи
*****
Офлайн Офлайн

Сообщений: 670



Просмотр профиля WWW
« Ответ #1 : 04.09.2014, 08:49:26 »

Указанная ошибка говорит о том, что php не находит функцию gzopen.
Записан
ntym
Новичок
*
Офлайн Офлайн

Сообщений: 4


Просмотр профиля
« Ответ #2 : 04.09.2014, 14:04:28 »

Спасибо.
В functions.php добавил:

function gzopen($filename , $mode = 'r', $use_include_path = 0 ) {
  return gzopen64($filename , $mode, $use_include_path);
}
Записан
Страниц: [1]   Вверх
  Печать  
 
Перейти в: